{% extends 'base.html' %}

{% block content %}

<!-- CSS only -->

<style>
.details-table {
    border-collapse: collapse;
    margin: 25px 0;
    font-size: 0.9em;
    font-family: sans-serif;
    min-width: 800px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
    margin: auto;
}

.details-table th, td {
      border:1px solid black;
      padding: 8px;
    }



</style>


<h1 style="text-align: center;">Here are the details of Student</h1>


    <table class="details-table">
        
        <tr>
            <th>Id</th>
            <th>Name</th>
            <th>Roll_No</th>
            <th>Address</th>
            <th>Mobile Number</th>
            <th>Email</th>
        </tr>
        

        <tr>
            {% for detail in student_details %}
        <td>{{detail.id}}</td>
        <td>{{detail.name}}</td>
        <td>{{detail.roll_no}}</td>
        <td>{{detail.address}}</td>
        <td>{{detail.mobile_number}}</td>
        <td>{{detail.email}}</td>
        </tr>
       
        {% endfor %}

    </table>
    <br>
    <a class="btn btn-primary" href="{% url 'index' %}" role="button" style="margin-left: 45%;">Home</a>



    
    
    
    
    
    

{% endblock %}

